Costing Management
Bulk Recalculate Material
Recalculate material cost totals for every cost sheet that uses the provided material.
POST
/
api
/
v1
/
costings
/
bulk-recalculate
Bulk Recalculate Material
curl --request POST \
--url https://vinmake-erp.onrender.com/api/v1/costings/bulk-recalculate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"materialId": "<string>"
}
'import requests
url = "https://vinmake-erp.onrender.com/api/v1/costings/bulk-recalculate"
payload = { "materialId": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({materialId: '<string>'})
};
fetch('https://vinmake-erp.onrender.com/api/v1/costings/bulk-recalculate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"material_id": "<string>",
"affected_count": 123,
"cost_sheets": [
{
"id": "<string>",
"style_name": "<string>",
"old_total": 123,
"new_total": 123,
"variance": 123
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Body
application/json
Payload for triggering a bulk material recalc.
Previous
Submit Cost SheetSubmit a cost sheet for review.
Optionally accepts ``versionNumber`` to submit a specific (e.g. currently
viewed) version instead of the sheet's current version.
Next
⌘I
Bulk Recalculate Material
